Index: /trunk/BNC/Example_Configs/00_Readme.txt
===================================================================
--- /trunk/BNC/Example_Configs/00_Readme.txt	(revision 7685)
+++ /trunk/BNC/Example_Configs/00_Readme.txt	(revision 7686)
@@ -73,136 +73,128 @@
 exceptions because they require an input stream from a connected network engine. 
 
-1.  File 'RinexObs.bnc'
-The purpose of this configuration is showing how to convert RTCM streams to 
-RINEX Observation files. The configuration pulls streams from Ntrip 
-Broadcasters using Ntrip version 1 to generate 15min 1Hz RINEX Version 3 
-Observation files. See http://igs.bkg.bund.de/ntrip/observations for 
-observation stream resources.
-
-2.  File 'RinexEph.bnc'
-The purpose of this configuration is showing how to convert a RTCM stream 
-carrying navigation messages to a RINEX Navigation files. The configuration 
-pulls an RTCM Version 3 stream with Broadcast Ephemeris coming from the 
-real-time EUREF and IGS networks. It saves hourly RINEX Version 3 Navigation 
-files. See http://igs.bkg.bund.de/ntrip/ephemeris for further real-time 
-Broadcast Ephemeris resources.
-
-3.  File 'BrdcCorr.bnc'
-The purpose of this configuration is to save Broadcast Corrections from 
-RTCM SSR messages in a plain ASCII format as hourly files. See 
-http://igs.bkg.bund.de/ntrip/orbits for further real-time IGS or EUREF 
-orbit/clock products.
-
-4.  File 'RinexConcat.bnc'
-The purpose of this configuration is to concatenate RINEX Version 3 files 
-to produce a concatenated file and edit the marker name in the file header. The 
-sampling interval is set to 30 seconds. See section 'RINEX Editing & QC' in the 
-documentation for examples on how to call BNC from command line in 'no window' 
-mode for RINEX file editing, concatenation and quality checks.
-
-5.  File 'RinexQC.bnc'
-The purpose of this configuration is to check the quality of a RINEX 
-Version 3 file through a multipath analysis. The results are saved on disk in 
-terms of a plot in PNG format. See section 'RINEX Editing & QC' in the 
-documentation for examples on how to call BNC from command line in 'no window' 
-mode for RINEX file editing, concatenation and quality checks.
-
-6.  File 'RTK.bnc'
-The purpose of this configuration is to feed a serial connected receiver 
-with observations from a reference station for conventional RTK. The stream is 
-scanned for RTCM messages. Message type numbers and latencies of incoming 
-observation are reported in BNC's logfile.
-
-7.  File 'FeedEngine.bnc'
-The purpose of this configuration is to feed a real-time GNSS engine with 
-observations from a remote reference stations. The configuration pulls a single 
-stream from an Ntrip Broadcasters. It would of course be possible to pull 
-several streams from different casters. Incoming observations are decoded, 
-synchronized and output through a local IP port and saved into a file. Failure 
-and recovery thresholds are specified to inform about outages.
-
-8.  File 'PPP.bnc'
-The purpose of this configuration is Precise Point Positioning from 
-observations of a rover receiver. The configuration reads RTCM Version 3 
-observations, a Broadcast Ephemeris stream and a stream with Broadcast 
-Corrections. Positions are saved in the logfile.
-
-9.  File 'PPPNet.bnc'
-The purpose of this configuration is to demonstrate simultaneous Precise 
-Point Positioning for several rovers or several receivers from a network of 
-reference stations in one BNC job. The possible maximum number of PPP solutions 
-per job depends on the processing power of the hosting computer. This example 
-configuration reads two RTCM Version 3 observation streams, a Broadcast 
-Ephemeris stream and a stream with Broadcast Corrections. PPP Results for the 
-two stations are saved in PPP logfiles.
+1. File 'RinexObs.bnc'
+Purpose: Convert RTCM streams to RINEX Observation files. The configuration 
+pulls streams from Ntrip Broadcasters using Ntrip Version 1 to generate 15min 
+1Hz RINEX Version 3 Observation files. See 
+http://igs.bkg.bund.de/ntrip/observations for observation stream resources.
+
+2. File 'RinexEph.bnc'
+Purpose: Convert a RTCM stream with navigation messages to RINEX Navigation 
+files. The configuration pulls a RTCM Version 3 stream with Broadcast Ephemeris 
+coming from the real-time EUREF and IGS networks and saves hourly RINEX Version 
+3 Navigation files. See http://igs.bkg.bund.de/ntrip/ephemeris for further 
+real-time Broadcast Ephemeris resources.
+
+3. File 'BrdcCorr.bnc'
+Purpose: Save Broadcast Corrections from RTCM SSR messages in hourly plain 
+ASCII files. See http://igs.bkg.bund.de/ntrip/orbits for various real-time IGS 
+or EUREF orbit/clock correction products.
+
+4. File 'RinexConcat.bnc'
+Purpose: Concatenate several RINEX Version 3 files to produce one compiled file 
+and edit the marker name in the file header. The sampling interval is set to 30 
+seconds. See section 'RINEX Editing & QC' in the documentation for examples on 
+how to call BNC from command line in 'no window' mode for RINEX file editing, 
+concatenation and quality check.
+
+5. File 'RinexQC.bnc'
+Purpose: Check the quality of a RINEX Version 3 file by means of a multipath 
+analysis. Results are saved on disk in terms of a plot in PNG format. See 
+section 'RINEX Editing & QC' in the documentation for examples on how to call 
+BNC from command line in 'no window' mode for RINEX file editing, concatenation 
+and quality check.
+
+6. File 'RTK.bnc'
+Purpose: Feed a serial connected receiver with observations from a nearby 
+reference station for conventional RTK. The stream is scanned for RTCM 
+messages. Message type numbers and latencies of incoming observations are 
+reported in BNC's logfile.
+
+7. File 'FeedEngine.bnc'
+Purpose: Feed a real-time GNSS engine with observations from remote reference 
+stations. The configuration pulls a single stream from an Ntrip Broadcaster. 
+You could also pull several streams from different casters. Incoming 
+observations are decoded, synchronized, output through a local IP port and also 
+saved into a file. Failure and recovery thresholds are specified to inform 
+about outages.
+
+8. File 'PPP.bnc'
+Purpose: Precise Point Positioning from observations of a rover receiver. The 
+configuration reads RTCM Version 3 observations, a Broadcast Ephemeris stream 
+and a stream with Broadcast Corrections. Positions are saved in the logfile.
+
+9. File 'PPPNet.bnc'
+Purpose: Precise Point Positioning for several rovers or receivers from an 
+entire network of reference stations in one BNC job. The possible maximum 
+number of PPP solutions per job depends on the processing power of the hosting 
+computer. This example configuration reads two RTCM Version 3 observation 
+streams, a Broadcast Ephemeris stream and a stream with Broadcast Corrections. 
+PPP Results for the two stations are saved in PPP logfiles.
 
 10. File 'PPPQuickStart.bnc'
-The purpose of this configuration is Precise Point Positioning in 
-Quick-Start mode from observations of a static receiver with precisely known 
-position. The configuration reads RTCM Version 3 observations, Broadcast 
-Corrections and a Broadcast Ephemeris stream. Positions are saved in NMEA 
-format on disc. Positions are also output through IP port for real-time 
-visualization with tools like RTKPLOT. Positions are also saved in the logfile.
+Purpose: Precise Point Positioning in Quick-Start mode from observations of a 
+static receiver with precisely known position. The configuration reads RTCM 
+Version 3 observations, Broadcast Corrections and a Broadcast Ephemeris stream. 
+Positions are saved in NMEA format on disc. They are also output through IP 
+port for real-time visualization with tools like RTKPLOT. Positions are saved 
+in the logfile.
 
 11. File 'PPPPostProc.bnc'
-The purpose of this configuration is Precise Point Positioning in Post 
-Processing mode. BNC reads a RINEX Observation and a RINEX Version 3 Navigation 
-files and a Broadcast Corrections file. PPP processing options are set to 
-support the Quick-Start mode. The output is saved in a specific Post Processing 
-logfile and contains the coordinates derived over time following the 
-implemented PPP filter algorithm.
+Purpose: Precise Point Positioning in post processing mode. BNC reads RINEX 
+Version 3 Observation and 3 Navigation files and a Broadcast Correction file. 
+PPP processing options are set to support the Quick-Start mode. The output is 
+saved in a specific post processing logfile and contains coordinates derived 
+over time following the implemented PPP filter algorithm.
 
 12. File 'PPPGoogleMaps.bnc'
-The purpose of this configuration is to track BNC's point positioning 
-solution using Google Maps or OpenStreetMap as background. BNC reads a RINEX 
-Observation file and a RINEX Navigation file to carry out a 'Standard Point 
-Positioning' solution in post-processing mode. Although this is not a real-time 
-application it requires the BNC host to be connected to the Internet. Specify a 
-computation speed, then hit button 'Open Map' to open the track map, then hit 
-'Start' to visualize receiver positions on top of GM/OSM maps.
+Purpose: Track BNC's point positioning solutions using Google Maps or 
+OpenStreetMap as background. BNC reads a RINEX Observation file and a RINEX 
+Navigation file to carry out a 'Standard Point Positioning' solution in post 
+processing mode. Although this is not a real-time application it requires the 
+BNC host to be connected to the Internet. Specify a computation speed, then hit 
+button 'Open Map' to open the track map, then hit 'Start' to visualize receiver 
+positions on top of GM/OSM maps.
 
 13. File 'SPPQuickStartGal.bnc'
-The purpose of this configuration is Single Point Positioning in 
-Quick-Start mode from observations of a static receiver with precisely known 
-position. The configuration uses GPS, GLONASS and Galileo observations and a 
-Broadcast Ephemeris stream.
+Purpose: Single Point Positioning in Quick-Start mode from observations of a 
+static receiver with quite precisely known position. The configuration uses 
+GPS, GLONASS and Galileo observations and a Broadcast Ephemeris stream.
 
 14. File 'SaveSp3.bnc'
-The purpose of this configuration is to produce SP3 files from a Broadcast 
-Ephemeris stream and a Broadcast Corrections stream. The Broadcast Corrections 
-stream is formally introduced in BNC's 'Combine Corrections' table. Note that 
-producing SP3 requires an ANTEX file because SP3 file contents should be 
-referred to CoM.
+Purpose: Produces SP3 files from a Broadcast Ephemeris stream and a Broadcast 
+Correction stream. The Broadcast Correction stream is formally introduced in 
+BNC's 'Combine Corrections' table. Note that producing SP3 requires an ANTEX 
+file because SP3 file content should be referred to CoM.
 
 15. File 'Sp3ETRF2000PPP.bnc'
-The purpose of this configuration is to produce SP3 files from a Broadcast 
-Ephemeris stream and a stream carrying ETRF2000 Broadcast Corrections. The 
-Broadcast Corrections stream is formally introduced in BNC's 'Combine 
-Corrections' table. This leads to an SP3 file containing orbits referred also 
-to ETRF2000. Pulling in addition observations from a reference station at 
-precisely known ETRF2000 position allows comparing an 'INTERNAL' PPP solution 
-with ETRF2000 reference coordinates.
+Purpose: Produce SP3 files from a Broadcast Ephemeris stream and a stream 
+carrying ETRF2000 Broadcast Corrections. The Broadcast Correction stream is 
+formally introduced in BNC's 'Combine Corrections' table. The configuration 
+leads to a SP3 file containing orbits also referred to ETRF2000. Pulling in 
+addition observations from a reference station at precisely known ETRF2000 
+position allows comparing an 'INTERNAL' PPP solution with a known ETRF2000 
+reference coordinate.
 
 16. File 'Upload.bnc'
-The purpose of this configuration is to upload orbits and clocks from a 
-real-time GNSS engine to an Ntrip Broadcaster. For that the configuration reads 
-precise orbits and clocks in RTNET format. It also reads a stream carrying 
-Broadcast Ephemeris. BNC converts the orbits and clocks into Broadcast 
-Corrections and encodes them in RTCM Version 3 SSR messages to upload them to 
-an Ntrip Broadcaster. The Broadcast Corrections stream is referred to satellite 
-Antenna Phase Center (APC) and IGS08. Orbits are saved on disk in SP3 format 
-and clocks in Clock RINEX format.
+Purpose: Upload orbits and clocks from a real-time GNSS engine to an Ntrip 
+Broadcaster. For that the configuration reads precise orbits and clocks in 
+RTNET format. It also reads a stream carrying Broadcast Ephemeris. BNC converts 
+the orbits and clocks into Broadcast Corrections and encodes them to RTCM 
+Version 3 SSR messages to finally upload them to an Ntrip Broadcaster. The 
+Broadcast Correction stream is referred to satellite Antenna Phase Center (APC) 
+and reference system IGS08. Orbits are saved on disk in SP3 format and clocks 
+are saved in Clock RINEX format.
 
 17. File 'Combi.bnc'
-The purpose of this configuration is to pull several streams carrying 
-Broadcast Corrections and a Broadcast Ephemeris stream from an Ntrip 
-Broadcaster to produce a combined Broadcast Corrections stream. BNC encodes the 
-combination product in RTCM Version 3 SSR messages and uploads that to an Ntrip 
-Broadcaster. The Broadcast Corrections stream is not referred to satellite 
-Center of Mass (CoM). It is referred to IGS08. Orbits are saved in SP3 format 
-and clocks in Clock RINEX format.
+Purpose: Pull several streams carrying Broadcast Corrections and a Broadcast 
+Ephemeris from an Ntrip Broadcaster to produce a combined Broadcast Correction 
+stream. BNC encodes the combination product in RTCM Version 3 SSR messages and 
+uploads that to an Ntrip Broadcaster. The Broadcast Correction stream is 
+referred to satellite Antenna Phase Center (APC) and not to satellite Center of 
+Mass (CoM). Its reference system is IGS08. Orbits are saved in SP3 format 
+(referred to CoM) and clocks in Clock RINEX format.
 
 18. File 'CombiPPP.bnc'
-This configuration equals the 'Combi.bnc' configuration. However, the 
+Purpose: This configuration equals the 'Combi.bnc' configuration. However, the 
 combined Broadcast Corrections are in addition used for an 'INTERNAL' PPP 
 solutions based on observations from a static reference station with known 
@@ -211,21 +203,20 @@
 
 19. File 'UploadEph.bnc'
-The purpose of this configuration is to pull a number of streams from 
-reference stations to get hold of contained Broadcast Ephemeris messages. These 
-are encoded then in a RTCM Version 3 stream which only provides Broadcast 
-Ephemeris with an update rate of 5 seconds.
+Purpose: Pull a number of streams from reference stations to get hold of 
+contained Broadcast Ephemeris messages. They are encoded to RTCM Version 3 
+format and uploaded for the purpose of providing a Broadcast Ephemeris stream 
+with an update rate of 5 seconds.
 
 20. File 'CompareSp3.bnc'
-The purpose of this configuration is to compare two SP3 files to calculate 
-RMS values for orbit and clock differences. GPS satellite G05 and GLONASS 
-satellite R18 are excluded from this comparison. Comparison results are saved 
-in a logfile.
+Purpose: Compare two SP3 files to calculate RMS values for orbit and clock 
+differences. GPS satellite G05 and GLONASS satellite R18 are excluded from this 
+comparison. Comparison results are saved in a logfile.
 
 21. File 'Empty.bnc'
-The purpose of this example is to provide an empty configuration file for 
-BNC which only contains the default settings.
+Purpose: Provide an empty example configuration file for BNC which only 
+contains the default settings.
 
 Georg Weber, BKG
-Frankfurt, December 2015
+Frankfurt, January 2016
 igs-ip@bkg.bund.de
 