Index: trunk/BNC/src/bnchelp.html
===================================================================
--- trunk/BNC/src/bnchelp.html	(revision 7696)
+++ trunk/BNC/src/bnchelp.html	(revision 7699)
@@ -32,6 +32,5 @@
 &nbsp; &nbsp; &nbsp; 1.5 <a href=#introInst>Installation</a><br>
 &nbsp; &nbsp; &nbsp; 1.6 <a href=#introConf>Configuration</a><br>
-&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; 1.6.1 <a href=#introManage>Management</a><br>
-&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; 1.6.2 <a href=#introExamples>Examples</a><br>
+&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; 1.6.1 <a href=#introExamples>Examples</a><br>
 &nbsp; &nbsp; &nbsp; 1.7 <a href=#introLimit>Limitations</a><br>
 &nbsp; &nbsp; &nbsp; 1.8 <a href=#introLBack>Looking Back</a><br><br>
@@ -289,5 +288,5 @@
 
 <p>
-BNC has been written under GNU General Public License (GPL). Source code is available from Subversion software archive <u>http://software.rtcm-ntrip.org/svn/trunk/BNC</u>. Precompiled binaries of BNC are available for Windows, Linux, and Mac OS X systems. They can be downloaded from <u>http://igs.bkg.bund.de/ntrip/download</u>.
+BNC has been written under GNU General Public License (GPL). Source code is available from Subversion software archive <u>http://software.rtcm-ntrip.org/svn/trunk/BNC</u>. Precompiled binaries of BNC are available for MS Windows, Linux, and Mac OS X systems. They can be downloaded from <u>http://igs.bkg.bund.de/ntrip/download</u>.
 </p>
 <p>
@@ -301,5 +300,5 @@
 Federal Agency for Cartography and Geodesy (BKG)
 c/o Dr. Axel R&uuml;lke
-Department of Geodesy, Section Navigation
+Department of Geodesy, Section Satellite Navigation
 Frankfurt, Germany
 [axel.ruelke@bkg.bund.de]
@@ -317,19 +316,14 @@
 
 <p>
-Prof. Mervart started working on BNC in 2005. His sole responsibility for writing the program code ended February 2015. Since March 2015 the expert in charge at BKG for further BNC programming is Dipl.-Ing. Andrea St&uuml;rze [andrea.stuerze@bkg.bund.de].
-</p>
-
-<p>
-BNC provides context-sensitive help (<i>What's This</i>) related to specific objects. It furthermore comes with the here presented documentation, available as part of the software and as a PDF file. Responsible for online and offline documentation, example configurations (and untill February 2014 the overall BNC policy concept) is Dr. Georg Weber [georg.weber@bkg.bund.de].
-</p>
-
-<p>
-BNC includes the following GNU GPL software component:
-<ul>
-<li> RTCM 2 decoder, written by Oliver Montenbruck, German Space Operations Center, DLR, Oberpfaffenhofen, Germany;</li>
-</ul>
-</p>
-<p>
-Note that some figures presented in this documentation may show screenshots from earlier versions of BNC. If so, then there is either no relevant change compared to the current appearance of the program or no change at all.
+Prof. Mervart started working on BNC in 2005. His sole responsibility for writing the program code ended February 2015. In March 2015, Dipl.-Ing. Andrea St&uuml;rze [andrea.stuerze@bkg.bund.de] took over the responsibility for maintenance  and further development of BNC's source code.
+</p>
+
+<p>
+<b>Documentation</b><br><br>
+BNC provides context-sensitive help (<i>What's This</i>) related to specific objects. It furthermore comes with the here presented documentation, available as part of the software and as a PDF file. Responsible for online and offline documentation and example configurations is Dr. Georg Weber [georg.weber@bkg.bund.de].
+</p>
+
+<p>
+Note that some figures presented in this documentation may show screenshots from earlier versions of BNC. If so, there is either no relevant change compared to the current appearance of the program or no change at all.
 </p>
 
@@ -337,8 +331,10 @@
 <b>Acknowledgements</b><br>
 <ul>
+<li>
+Oliver Montenbruck, German Space Operations Center, DLR, Oberpfaffenhofen, Germany published a RTCM Version 2 decoder unter GNU GPL which has been integrated in BNC.
+</li>
 <li>
 Thomas Yan, Australian NSW Land and Property Information, proofread earlier versions of BNC's Help Contents. Up to Version 2.11 he also provides builds of BNC for Mac OS X systems.
 </li>
-<li>
 Scott Glazier, OmniSTAR Australia, has been helpful in finding BNC bugs in version 1.5.
 </li>
@@ -607,5 +603,5 @@
 </p> 
 <p>
-<u>MS Windows Build:</u> A dynamically compiled shared libary build for Mircrosoft Windows systems is provided as Microsoft Installer (MSI) file. MSI files are used for installation, storage, and removal of programs. The BNC files are contained in a MSI package, which is used with the program's client-side installer service, an .EXE file, to open and install the program. We used the MinGW Version 4.4.0 compiler to create BNC for Windows. After installation your 'bnc.exe' file shows up e.g. under 'All Programs'. 
+<u>MS Windows Build:</u> A dynamically compiled shared library build for Mircrosoft Windows systems is provided as Microsoft Installer (MSI) file. MSI files are used for installation, storage, and removal of programs. The BNC files are contained in a MSI package, which is used with the program's client-side installer service, an .EXE file, to open and install the program. We used the MinGW Version 4.4.0 compiler to create BNC for Windows. After installation your 'bnc.exe' file shows up e.g. under 'All Programs'. 
 </p>
 
@@ -634,5 +630,5 @@
 
 <ol type=f>
-<li>Supposing that 'Secure Socket Layer (SSL)' is not available on you system, you should install OpenSSL libraries in C:\OpenSSL-Win32. They are availabel e.g. from <u>http://code.x2go.org/releases/binary-win32/3rd-party/Win32OpenSSL/Win32OpenSSL-1_0_1e.exe</u>. See <u>http://slproweb.com/products/Win32OpenSSL.html</u> for other SSL resources. Ignore possibly occuring comments about missing components during installation.</li>
+<li>Supposing that 'Secure Socket Layer (SSL)' is not available on you system, you should install OpenSSL libraries in C:\OpenSSL-Win32. They are available e.g. from <u>http://igs.bkg.bund.de/root_ftp/NTRIP/software/Win32OpenSSL-1_0_1e.exe</u>. See <u>http://slproweb.com/products/Win32OpenSSL.html</u> for other SSL resources. Ignore possibly occurring comments about missing components during installation.</li>
 
 <li>Download MinGW compiler Version 4.4.0 e.g. from <u>http://igs.bkg.bund.de/root_ftp/NTRIP/software/MinGW-gcc440_1.zip</u></li>
@@ -665,5 +661,5 @@
 Should you want to reconfiguring Qt following steps (8)-(10) you first need to clean the previous configuration using command 'mingw32-make confclean'. Run command 'mingw32-make clean' to delete previously compiled source code.</li>
 
-<li>Download latest BNC from SVN repository <u>http://software.rtcm-ntrip.org/svn/trunk/BNC</u></li>
+<li>Download latest BNC from SVN repository <u>http://software.rtcm-ntrip.org/svn/trunk/BNC.</u></li>
 
 <li>Open command line window and execute file QtEnv.bat, see (7)</li>
@@ -716,5 +712,5 @@
 
 <u>Xcode and Qt Installation</u><br>
-Xcode and Qt are required to compile BNC on OS X. Both tools are freely available. Xcode can be downloaded from the App Store or the Apple Developer Connection website. Once installed, run Xcode, go to 'Preferences->Downloads' and install the Command Line Tools component. Qt can be downloaded from the QT Project website. Note that as of version 2.6 BNC requires Qt version 4.7.3 or higher due to SSL. The Qt libraries for Mac can be downloaded from http://qt-project.org/downloads. Once downloaded, mount the disk image, run the Qt.mpkg package and follow the instructions from the installation wizard.
+Xcode and Qt are required to compile BNC on OS X. Both tools are freely available. Xcode can be downloaded from the App Store or the Apple Developer Connection website. Once installed, run Xcode, go to 'Preferences->Downloads' and install the Command Line Tools component. Qt can be downloaded from the QT Project website. We suggest installing version 4.8.4 or higher. The Qt libraries for Mac can be downloaded from <u>http://www.qt.io/download</u>. Once downloaded, mount the disk image, run the Qt.mpkg package and follow the instructions from the installation wizard.
 </p>
 
@@ -729,5 +725,5 @@
   make
 </pre>
-Refer to the following webpage for further information: <u>http://qt-project.org/doc/qt-4.8/qmake-platform-notes.html</u>.
+Refer to the following webpage for further information: <u>http://doc.qt.io/qt-4.8/qmake-platform-notes.html</u>.
 </p>
 
@@ -738,5 +734,8 @@
   macdeployqt bnc.app -dmg
 </pre>
-Refer to the following webpage for further information: <u>http://qt-project.org/doc/qt-4.8/deployment-mac.html</u>.
+Refer to the following webpage for further information: <u>http://doc.qt.io/qt-4.8/deployment-mac.html</u>.
+</p>
+<p>
+Once a DMG file for BNC is created, you can double click it and install BNC by dragging the 'bnc.app' icon to your 'Applications' folder. To start BNC, double click on '/Aplications/bnc.app'.
 </p>
 
@@ -746,9 +745,4 @@
 
 <p><h4>1.6 <a name="introConf">Configuration</h4></p>
-<p>
-The following sections present information on how the BNC configuration works and provide configuration examples which can be adjusted according to specific user needs.
-</p>
-
-<p><h4>1.6.1 <a name="introManage">Management</h4></p>
 <p>
 As a default, configuration files for running BNC on Unix/Linux/Mac OS X systems are saved in directory '${HOME}/.config/BKG'. On Windows systems, they are typically saved in directory 'C:/Documents and Settings/Username/.config/BKG'. The default configuration filename is 'BNC.bnc'.</p>
@@ -789,5 +783,5 @@
 </p>
 
-<p><h4>1.6.2 <a name="introExamples">Examples</h4></p>
+<p><h4>1.6.1 <a name="introExamples">Examples</h4></p>
 
 <p>
@@ -1054,4 +1048,5 @@
 
 <p><h4>1.8 <a name="introLBack">Looking Back</h4></p>
+(and untill February 2014 the overall BNC policy concept) 
 <p>
 A basic function of BNC is streaming GNSS data over the open Internet using the Ntrip transport protocol. Employing IP streaming for satellite positioning goes back to the beginning of our century. Wolfgang Rupprecht has been the first person who developed TCP/IP server software under the acronym of DGPS-IP (Rupprecht 2000) and published it under GNU General Public License (GPL). While connecting marine beacon receivers to PCs with permanent access to the Internet he transmitted DGPS corrections in an RTCM format to support Differential GPS positioning over North America. With approximately 200 bits/sec the bandwidth requirement for disseminating beacon data was comparatively small. Each stream was transmitted over a unique combination of IP address and port. Websites informed about existing streams and corresponding receiver positions.