Index: /trunk/BNC/src/bnchelp.html
===================================================================
--- /trunk/BNC/src/bnchelp.html	(revision 7704)
+++ /trunk/BNC/src/bnchelp.html	(revision 7705)
@@ -1210,5 +1210,5 @@
 <li>'mountPoints' to change the selection of streams to be processed, see section 'Streams';</li>
 <li>'outWait' to change the 'Wait for full obs epoch' option, see section 'Feed Engine';</li>
-<li>'outSampl' to change the 'Sampling' option, see section 'Feed Engine'.</li>
+<li>'outSampl' to change the 'Sampling' option, see section 'Feed Engine';</li>
 <li>'outFile' to change the 'File' name where synchronized observations are saved in plain ASCII format.</li>
 </ul>
@@ -1440,5 +1440,5 @@
 <p><h4>2.4.8 <a name="rnxvers2">Version 2 - optional</h4></p>
 <p>
-GNSS observation data are generally available within BNC according to attributes as defined in RINEX Version 3. These attributes describe the tracking mode or channel when generating the observation signals. Capital letters specifying signal generation attributes are A, B, C, D, I, L, M, N, P, Q, S, W, X, Y, and Z, see RINEX Version 3 documentation. Although RINEX Version 3 with its signal generation attributes is the internal default processing format for BNC, there are two applications where the program is explicitly required to produce data in RINEX Version 2 format: 
+GNSS observation data are generally hold available within BNC according to attributes as defined in RINEX Version 3. These attributes describe the tracking mode or channel when generating the observation signals. Capital letters specifying signal generation attributes are A, B, C, D, I, L, M, N, P, Q, S, W, X, Y, and Z, see RINEX Version 3 documentation. Although RINEX Version 3 with its signal generation attributes is the internal default processing format for BNC, there are two applications where the program is explicitly required to produce data in RINEX Version 2 format: 
 <ol type=1>
 <li>When saving the content of incoming observation streams in RINEX Version 2 files as described in this section.</li>
@@ -1496,5 +1496,5 @@
 </p>
 <p>
-The following is an example for a RINEX Version 3 Navigation filename. The file contains one days data. 'MN' stands for 'Multi Constellation Navigation' data.
+The following is an example for a RINEX Version 3 Navigation filename. The file contains one day's data. 'MN' stands for 'Multi Constellation Navigation' data.
 <pre>
    BRDC00DEU_S_20121600000_01D_MN.rnx
@@ -2621,5 +2621,5 @@
 <p>Select 'Auto' to automatically forward NMEA messages of type GGA from your serial connected receiver to the Ntrip broadcaster and/or save them in a file.
 </p>
-<p>Select 'Manual GPGGA' or 'Manual GNGGA' if you want BNC to produce and upload GPGGA or GNGGA NMEA messages to the Ntrip broadcaster because your serial connected receiver doesn't generate these messages. A Talker ID 'GP' preceeding the GGA string stands for GPS solutions while a Talker ID 'GN' stands for multi-constellation solutions.
+<p>Select 'Manual GPGGA' or 'Manual GNGGA' if you want BNC to produce and upload GPGGA or GNGGA NMEA messages to the Ntrip broadcaster because your serial connected receiver doesn't generate these messages. A Talker ID 'GP' proceeding the GGA string stands for GPS solutions while a Talker ID 'GN' stands for multi-constellation solutions.
 </p>
 <p>Note that selecting 'Auto' or 'Manual' works only for VRS streams which show up under the 'Streams' canvas on BNC's main window with 'nmea' stream attribute set to 'yes'. This attribute is either extracted from the Ntrip broadcaster's source-table or introduced by the user through editing the BNC configuration file.
@@ -2654,5 +2654,5 @@
 </p>
 <p>
-<u>Stream corruption:</u> Not all chunks of bits transfered to BNC's internal decoder may return valid observations. Sometimes several chunks might be needed before the next observation can be properly decoded. BNC buffers all the outputs (both valid and invalid) from the decoder for a short time span (size derived from the expected 'Observation rate') and then determines whether a stream is valid or corrupted.
+<u>Stream corruption:</u> Not all chunks of bits transferred to BNC's internal decoder may return valid observations. Sometimes several chunks might be needed before the next observation can be properly decoded. BNC buffers all the outputs (both valid and invalid) from the decoder for a short time span (size derived from the expected 'Observation rate') and then determines whether a stream is valid or corrupted.
 </p>
 <p>
@@ -3349,5 +3349,5 @@
 
 <p><h4>2.13.2.6 <a name="pppnmeaport">NMEA Port - optional</h4></p>
-Specify the IP port number of a local port where Point Positioning results become available as NMEA messages. The default value for 'NMEA Port' is an empty option field, meaning that BNC does not provide NMEA messages vi IP port. Note that the NMEA file output and the NMEA IP port output are the same.
+Specify the IP port number of a local port where Point Positioning results become available as NMEA messages. The default value for 'NMEA Port' is an empty option field, meaning that BNC does not provide NMEA messages via IP port. Note that the NMEA file output and the NMEA IP port output are the same.
 </p>
 <p>
@@ -3386,5 +3386,5 @@
 </p>
 
-<p><h4>2.13.3.1 <a name="pppcodeobs">Code Observations - mandatory</h4></p>
+<p><h4>2.13.3.2 <a name="pppcodeobs">Code Observations - mandatory</h4></p>
 </p>
 Enter a 'Sigma C1' for C1 code observations in meters. The bigger the sigma you enter, the less the contribution of C1 code observations to a PPP solution based on a combination of code and phase data. '2.0' meters is likely to be an appropriate choice.
@@ -3710,6 +3710,17 @@
 <tr><td>PhaseBias</td><td>Satellite Phase Biases in meters with two characters for frequency and tracking mode per bias as defined in RINEX 3, preceded by total number of biases and followed by Signal Wilde-Lane Integer Indicator as well as Signal Discontinuity Counter</td></tr>
 </table>
+<p>
 <ul>
 <li> Non-satellite specific parameters
+</ul>
+</p>
+<p>
+The following syntax will be used:
+</p>
+<pre>
+&lt;key&gt; &lt;value1 value2 ...&gt;
+&nbsp;
+</pre>
+<p>
 </ul>
 The following non-satellite specific keys and values are currently specified in BNC:<br><br>
@@ -3762,5 +3773,5 @@
 </p>
 
-<p><h4>2.14.2 <a name="uphost">Host, Port, Mountpoint, Password - optional</h4></p>
+<p><h4>2.15.2 <a name="uphost">Host, Port, Mountpoint, Password - optional</h4></p>
 
 <p>Specify the domain name or IP number of an Ntrip Broadcaster for uploading the stream. Furthermore, specify the caster's listening IP port, an upload mountpoint and an upload password. Note that Ntrip Broadcasters are often configured to provide access through more than one port, usually ports 80 and 2101. If you experience communication problems on port 80, you should try to use the alternative port(s).