Index: /trunk/BNC/src/bnchelp.html
===================================================================
--- /trunk/BNC/src/bnchelp.html	(revision 7720)
+++ /trunk/BNC/src/bnchelp.html	(revision 7721)
@@ -588,5 +588,5 @@
 support graphics. However, when using BNC in batch mode on Linux systems for
 producing plots, you need to make sure that at least a virtual X-Server like
-'Xvfb' is installed and the '-display' command-line option is used.
+'Xvfb' is installed and the '-display' command line option is used.
 </p>
 
@@ -847,9 +847,9 @@
 
 <p>
-You should be able to run all configuration examples without changing their options. However, configurations 'Upload.bnc' and 'UploadPPP.bnc' are exceptions because they require an input stream from a connected network engine.
+You should be able to run all configuration file examples without changing contained options. However, configurations 'Upload.bnc' and 'UploadPPP.bnc' are exceptions because they require an input stream from a connected network engine.
 </p>
 <ol type=b>
 
-<li>File 'RinexObs.bnc'<br>
+<li>Configuration File 'RinexObs.bnc'<br>
 Purpose: Convert RTCM streams to 
 RINEX Observation files. The configuration pulls streams from Ntrip 
@@ -859,5 +859,5 @@
 </li><br>
 
-<li>File 'RinexEph.bnc'<br>
+<li>Configuration File 'RinexEph.bnc'<br>
 Purpose: Convert a RTCM stream 
 with navigation messages to RINEX Navigation files. The configuration
@@ -868,5 +868,5 @@
 </li><br>
 
-<li>File 'BrdcCorr.bnc'<br>
+<li>Configuration File 'BrdcCorr.bnc'<br>
 Purpose: Save Broadcast Corrections from RTCM 
 SSR messages in hourly plain ASCII files. See 
@@ -875,5 +875,5 @@
 </li><br>
 
-<li>File 'RinexConcat.bnc'<br>
+<li>Configuration File 'RinexConcat.bnc'<br>
 Purpose: Concatenate several RINEX Version 3 files to 
 produce one compiled file and edit the marker name in the file header. The 
@@ -883,5 +883,5 @@
 </li><br>
 
-<li>File 'RinexQC.bnc'<br>
+<li>Configuration File 'RinexQC.bnc'<br>
 Purpose: Check the quality of a RINEX Version 3 
 file by means of a multipath analysis. Results are saved on disk in terms of a 
@@ -891,5 +891,5 @@
 </li><br>
 
-<li>File 'RTK.bnc'<br>
+<li>Configuration File 'RTK.bnc'<br>
 Purpose: Feed a serially connected receiver with 
 observations from a nearby reference station for conventional RTK. The stream is 
@@ -898,5 +898,5 @@
 </li><br>
 
-<li>File 'FeedEngine.bnc'<br>
+<li>Configuration File 'FeedEngine.bnc'<br>
 Purpose: Feed a real-time GNSS engine with 
 observations from remote reference stations. The configuration pulls a single 
@@ -907,5 +907,5 @@
 </li><br>
 
-<li>File 'PPP.bnc'<br>
+<li>Configuration File 'PPP.bnc'<br>
 Purpose: Precise Point Positioning from 
 observations of a rover receiver. The configuration reads RTCM Version 3 
@@ -914,5 +914,5 @@
 </li><br>
 
-<li>File 'PPPNet.bnc'<br>
+<li>Configuration File 'PPPNet.bnc'<br>
 Purpose: Precise 
 Point Positioning for several rovers or receivers from an entire network of 
@@ -924,5 +924,5 @@
 </li><br>
 
-<li>File 'PPPQuickStart.bnc'<br>
+<li>Configuration File 'PPPQuickStart.bnc'<br>
 Purpose: Precise Point Positioning in Quick-Start 
 mode from observations of a static receiver with precisely known position. The 
@@ -933,5 +933,5 @@
 </li><br>
 
-<li>File 'PPPPostProc.bnc'<br>
+<li>Configuration File 'PPPPostProc.bnc'<br>
 Purpose: Precise Point Positioning in post 
 processing mode. BNC reads RINEX Version 3 Observation and Navigation files 
@@ -942,5 +942,5 @@
 </li><br>
 
-<li>File 'PPPGoogleMaps.bnc'<br>
+<li>Configuration File 'PPPGoogleMaps.bnc'<br>
 Purpose: Track BNC's point positioning
 solutions using Google Maps or OpenStreetMap as background. BNC reads a
@@ -953,5 +953,5 @@
 </li><br>
 
-<li>File 'SPPQuickStartGal.bnc'<br>
+<li>Configuration File 'SPPQuickStartGal.bnc'<br>
 Purpose: Single Point Positioning in Quick-Start mode from observations of a static 
 receiver with quite precisely known position.
@@ -960,5 +960,5 @@
 </li><br>
 
-<li>File 'SaveSp3.bnc'<br>
+<li>Configuration File 'SaveSp3.bnc'<br>
 Purpose: Produces SP3 files from a Broadcast 
 Ephemeris stream and a Broadcast Correction stream. The Broadcast Correction 
@@ -968,5 +968,5 @@
 </li><br>
 
-<li>File 'Sp3ETRF2000PPP.bnc'<br>
+<li>Configuration File 'Sp3ETRF2000PPP.bnc'<br>
 Purpose: Produce SP3 files from a Broadcast 
 Ephemeris stream and a stream carrying ETRF2000 Broadcast Corrections. The 
@@ -978,5 +978,5 @@
 </li><br>
 
-<li>File 'Upload.bnc'<br>
+<li>Configuration File 'Upload.bnc'<br>
 Purpose: Upload orbits and clocks from a 
 real-time GNSS engine to an Ntrip Broadcaster. For that the configuration reads 
@@ -989,5 +989,5 @@
 </li><br>
 
-<li>File 'Combi.bnc'<br>
+<li>Configuration File 'Combi.bnc'<br>
 Purpose: Pull several streams carrying Broadcast 
 Corrections and a Broadcast Ephemeris stream from an Ntrip Broadcaster to 
@@ -999,5 +999,5 @@
 </li><br>
 
-<li>File 'CombiPPP.bnc'<br>
+<li>Configuration File 'CombiPPP.bnc'<br>
 Purpose: This configuration equals the 'Combi.bnc' configuration. However, the combined 
 Broadcast Corrections are in addition used for an 'INTERNAL' PPP solution 
@@ -1007,5 +1007,5 @@
 </li><br>
 
-<li>File 'UploadEph.bnc'<br>
+<li>Configuration File 'UploadEph.bnc'<br>
 Purpose: Pull a number of streams from reference 
 stations to get hold of contained Broadcast Ephemeris messages. They are 
@@ -1014,5 +1014,5 @@
 </li><br>
 
-<li>File 'CompareSp3.bnc'<br>
+<li>Configuration File 'CompareSp3.bnc'<br>
 Purpose: Compare two SP3 files to calculate 
 RMS values for orbit and clock differences. GPS satellite G05 and GLONASS 
@@ -1021,5 +1021,5 @@
 </li><br>
 
-<li>File 'Empty.bnc'<br>
+<li>Configuration File 'Empty.bnc'<br>
 Purpose: Provide an empty example configuration file for
 BNC, which only contains default settings.
@@ -1027,4 +1027,16 @@
 
 </ol>
+
+The following configuration examples make use of BNC's 'Command Line Interface' (CLI). Configuration options are exclusively specified via command line. No configuration file is used. Examples are provided as shell scripts for a Linux system. They call BNC in 'no window' batch mode (command line option -nw).
+
+<ol start="22">
+<li>Shell Script 'RinexQC.cli'<br>
+Purpose: Equals configuration file example 'RinexQC.bnc', checks the quality of
+a RINEX Version 3 file by means of a multipath analysis. Virtual X-Server 
+'Xvfb' is operated while producing plot files in PNG format. BNC is offline. All
+results are saved on disk. 
+</li>
+</ol>
+
 </p>
 