Index: trunk/BNC/src/bnchelp.html
===================================================================
--- trunk/BNC/src/bnchelp.html	(revision 7757)
+++ trunk/BNC/src/bnchelp.html	(revision 7762)
@@ -5243,29 +5243,29 @@
 <tr><td><b>Publications</b></td></tr>
 
-<tr><td>Caissy, M., L. Agrotis, G. Weber, M. Hernandez-Pajares and U. Hugentobler (2012)</td><td>The International GNSS Real-Time Service, GPS World, June 1, 2012.</td></tr>
-
-<tr><td>Estey, L. H. and C. M. Meertens (1999)</td><td>TEQC: The Multi-Purpose Toolkit for GPS/GLONASS Data, GPS Solutions, Vol. 3, No. 1, pp. 42-49, 1999.</td></tr>
-
-<tr><td>Huisman, L., P. Teunissen and C. Hu (2012)</td><td>GNSS Precise Point Positioning in Regional Reference Frames Using Real-time Broadcast Corrections, Journal of Applied Geodesy, Vol. 6, pp15-23, 2012.</td></tr>
-
-<tr><td>Mervart, L., Z. Lukes, C. Rocken and T. Iwabuchi (2008)</td><td>Precise Point Positioning With Ambiguity Resolution in Real-Time, ION GNSS 2008.</td></tr>
-
-<tr><td>RTCM SC-104 (2011)</td><td>Amendment 1 to RTCM Standard 10410.1 Networked Transport of RTCM via Internet Protocol (Ntrip) - Version 2.0, RTCM Papter 139-2011-SC104-STD, 2011.</td></tr>
-
-<tr><td>Rupprecht, W. (2000)</td><td>DGPS-IP, <u>http://www.wsrcc.com/wolfgang/gps/dgps-ip.html</u>, 2000.</td></tr>
+<tr><td>Caissy, M., L. Agrotis, G. Weber, M. Hernandez-Pajares and U. Hugentobler (2012)</td><td>The International GNSS Real-Time Service. GPS World, June 1, 2012.</td></tr>
+
+<tr><td>Estey, L. H. and C. M. Meertens (1999)</td><td>TEQC: The Multi-Purpose Toolkit for GPS/GLONASS Data. GPS Solutions, Vol. 3, No. 1, pp. 42-49, 1999.</td></tr>
+
+<tr><td>Huisman, L., P. Teunissen and C. Hu (2012)</td><td>GNSS Precise Point Positioning in Regional Reference Frames Using Real-time Broadcast Corrections. Journal of Applied Geodesy, Vol. 6, pp15-23, 2012.</td></tr>
+
+<tr><td>Mervart, L., Z. Lukes, C. Rocken and T. Iwabuchi (2008)</td><td>Precise Point Positioning With Ambiguity Resolution in Real-Time. ION GNSS 2008.</td></tr>
+
+<tr><td>RTCM SC-104 (2011)</td><td>Amendment 1 to RTCM Standard 10410.1 Networked Transport of RTCM via Internet Protocol (Ntrip) - Version 2.0. RTCM Papter 139-2011-SC104-STD, 2011.</td></tr>
+
+<tr><td>Rupprecht, W. (2000)</td><td>DGPS-IP. <u>http://www.wsrcc.com/wolfgang/gps/dgps-ip.html</u>, 2000.</td></tr>
 
 <tr><td>Weber, G., D. Dettmering and H. Gebhard (2005a)</td><td>Networked Transport of RTCM via Internet Protocol (NTRIP). In: Sanso F. (Ed.): A Window on the Future, Proceedings of the IAG General Assembly, Sapporo, Japan, 2003, Springer Verlag, Symposia Series, Vol. 128, p. 60-64, 2005.</td></tr>
 
-<tr><td>Weber, G., D. Dettmering, H. Gebhard and R. Kalafus (2005b)</td><td>Networked Transport of RTCM via Internet Protocol (Ntrip), IP-Streaming for Real-Time GNSS Applications, ION GNSS 2005.</td></tr>
+<tr><td>Weber, G., D. Dettmering, H. Gebhard and R. Kalafus (2005b)</td><td>Networked Transport of RTCM via Internet Protocol (Ntrip), IP-Streaming for Real-Time GNSS Applications. ION GNSS 2005.</td></tr>
 
 <tr><td>Weber, G., and M. Honkala (2004)</td><td>The future is talking Ntrip. Newsletter, Trimble GmbH Raunheim, Germany, 2004.</td></tr>
 
-<tr><td>Weber, G. and L. Mervart (2009)</td><td>The BKG Ntrip Client (BNC), Report on EUREF Symposium 2007 in London, Mitteilungen des Bundesamtes fuer Kartographie und Geodaesie, Band 42, Frankfurt, 2009.</td></tr>
-
-<tr><td>Weber, G. and L. Mervart (2010)</td><td>Real-time Combination of GNSS Orbit and Clock Correction Streams Using a Kalman Filter Approach, ION GNSS 2010.</td></tr>
-
-<tr><td>Weber, G, L. Mervart, Z. Lukes, C. Rocken and J. Dousa (2007)</td><td>Real-time Clock and Orbit Corrections for Improved Point Positioning via Ntrip, ION GNSS 2007.</td></tr>
-
-<tr><td>Weber, G., L. Mervart, A. St&uuml;rze, A. R&uuml;lke and D. St&ouml;cker (2016)</td><td>BKG Ntrip Client, Version 2.12 Mitteilungen des Bundesamtes f&uuml;r Kartographie und Geod&auml;sie, Vol. 49, Frankfurt am Main, 2016.</td><tr>
+<tr><td>Weber, G. and L. Mervart (2009)</td><td>The BKG Ntrip Client (BNC), Report on EUREF Symposium 2007 in London. Mitteilungen des Bundesamtes fuer Kartographie und Geodaesie, Band 42, Frankfurt, 2009.</td></tr>
+
+<tr><td>Weber, G. and L. Mervart (2010)</td><td>Real-time Combination of GNSS Orbit and Clock Correction Streams Using a Kalman Filter Approach. ION GNSS 2010.</td></tr>
+
+<tr><td>Weber, G, L. Mervart, Z. Lukes, C. Rocken and J. Dousa (2007)</td><td>Real-time Clock and Orbit Corrections for Improved Point Positioning via Ntrip. ION GNSS 2007.</td></tr>
+
+<tr><td>Weber, G., L. Mervart, A. St&uuml;rze, A. R&uuml;lke and D. St&ouml;cker (2016)</td><td>BKG Ntrip Client, Version 2.12. Mitteilungen des Bundesamtes f&uuml;r Kartographie und Geod&auml;sie, Vol. 49, Frankfurt am Main, 2016.</td><tr>
 
 </table>